# $Revision: 1.15 $, $Date: 2012/02/09 13:31:09 $
Summary:	On-the-fly, LTL model checking with SPIN
Summary(pl.UTF-8):	Sprawdzanie modeli LTL w locie przy użyciu SPIN
Name:		spin
Version:	6.1.0
%define		_ver	%(echo %{version} | tr -d .)
Release:	1
License:	Spin Public license
Group:		Development/Tools
Source0:	http://spinroot.com/spin/Src/%{name}%{_ver}.tar.gz
# Source0-md5:	89c0d322c3a5aded1fda9b0d30327d19
Source1:	ispin.desktop
URL:		http://spinroot.com/spin/whatispin.html
BuildRequires:	yacc
Requires:	tcl
Requires:	tk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spin is a popular software tool that can be used for the formal
verification of distributed software systems. The tool was developed
at Bell Labs in the original Unix group of the Computing Sciences
Research Center, starting in 1980. The software has been available
freely since 1991, and continues to evolve to keep pace with new
developments in the field. In April 2002 the tool was awarded the
prestigious System Software Award for 2001 by the ACM.

http://cm.bell-labs.com/cm/cs/what/spin/spin_license.html

%description -l pl.UTF-8
Spin to popularne narzędzie, którego można używać do formalnego
sprawdzania systemów programów rozproszonych. Narzędzie było rozwijane
w Bell Labs w oryginalnej grupie Uniksa z Computing Sciences Research
Center począwszy od 1980 roku. Jest dostępne za darmo od 1991 i nadal
dotrzymuje kroku. We wrześniu 2002 narzędzie to otrzymało prestiżową
nagrodę System Software Award 2001 roku od ACM.

http://cm.bell-labs.com/cm/cs/what/spin/spin_license.html

%package ispin
Summary:	Graphical user interface to Spin
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do Spina
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Obsoletes:	spin-xspin

%description ispin
Xspin is graphical user interface to Spin, written in Tcl/Tk.

%description ispin -l pl.UTF-8
Xspin to graficzny interfejs użytkownika do Spina, napisany w Tcl/Tk.

%prep
%setup -q -c

%build
cd Spin/Src*
%{__make} -j1 CFLAGS="-ansi -D_POSIX_SOURCE %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}} \
	$RPM_BUILD_ROOT%{_desktopdir}

install Spin/Src*/spin $RPM_BUILD_ROOT%{_bindir}
install Spin/Man/spin.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a Spin/{Samples,Test} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/ispin.desktop

echo "#!/usr/bin/wish -f" > $RPM_BUILD_ROOT%{_bindir}/ispin
tail -n +4 Spin/iSpin/ispin.tcl >> $RPM_BUILD_ROOT%{_bindir}/ispin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Spin/README.html Spin/Doc/*
%attr(755,root,root) %{_bindir}/spin
%{_mandir}/man1/*
%{_examplesdir}/%{name}-%{version}

%files ispin
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ispin
%{_desktopdir}/ispin.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spin.spec,v $
Revision 1.15  2012/02/09 13:31:09  baggins
- 6.1.0

Revision 1.14  2011/07/06 20:31:19  baggins
- rel 2
- added desktop file for ispin

Revision 1.13  2011/02/07 09:19:21  baggins
- 6.0.1
- xspin obsoleted by ispin
- install tests and samples to examplesdir

Revision 1.12  2010/02/10 12:11:59  baggins
- rel 2
- it doesn't like parallel make

Revision 1.11  2010/02/10 12:09:06  baggins
- up to 5.2.4

Revision 1.10  2009/02/16 10:18:12  baggins
- up to 5.1.7
- dropped bison patch, BR yacc

Revision 1.9  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.7  2006/09/13 14:48:41  baggins
- up to 4.2.7

Revision 1.6  2005/06/26 18:31:24  darekr
- added -use_bison patch

Revision 1.5  2004/05/11 18:24:46  malekith
- up to 4.1.3

Revision 1.4  2004/04/10 11:19:16  twittner
- typo

Revision 1.3  2004/04/10 11:11:24  qboosh
- pl

Revision 1.2  2004/01/12 15:15:26  baggins
- added URL to license

Revision 1.1  2004/01/12 15:14:02  baggins
- initial revision
